/* uprom.h */

int uprom_prog_mode;
#define PROG_MODE_FAST	0
#define PROG_MODE_STD	1


/* Prototypes */

int uprom(struct gengetopt_args_info *args_info, int argc);
void uprom_init_errmsg(void);
int uprom_read_eprom(int cmd, int ictyp, long from, long size);
int uprom_blank_copy(int ictyp);
int uprom_eeprom_erase(int ictyp);
int uprom_prg_1buffer(int ictyp, long from, long size);
int uprom_prg_copy(int ictyp, long from, long size);
int uprom_action(int cmd);
long uprom_sizefromictyp(int ictyp);
